---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: include/TGUI/Widgets/CheckBox.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_380f920385a16f176be7632160138052.html">TGUI</a></li><li class="navelem"><a class="el" href="dir_0bb95f096d007de7ff009a2d5974766c.html">Widgets</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">CheckBox.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// TGUI - Texus&#39;s Graphical User Interface</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// Copyright (C) 2012-2017 Bruno Van de Velde (vdv_b@tgui.eu)</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">// This software is provided &#39;as-is&#39;, without any express or implied warranty.</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">// In no event will the authors be held liable for any damages arising from the use of this software.</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">// Permission is granted to anyone to use this software for any purpose,</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">// including commercial applications, and to alter it and redistribute it freely,</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">// subject to the following restrictions:</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">// 1. The origin of this software must not be misrepresented;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">//    you must not claim that you wrote the original software.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">//    If you use this software in a product, an acknowledgment</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">//    in the product documentation would be appreciated but is not required.</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">// 2. Altered source versions must be plainly marked as such,</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">//    and must not be misrepresented as being the original software.</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">// 3. This notice may not be removed or altered from any source distribution.</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#ifndef TGUI_CHECKBOX_HPP</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#define TGUI_CHECKBOX_HPP</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &lt;TGUI/Widgets/RadioButton.hpp&gt;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacetgui.html">tgui</a></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;{</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keyword">class </span>CheckBoxRenderer;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="classtgui_1_1CheckBox.html">   45</a></span>&#160;    <span class="keyword">class </span>TGUI_API <a class="code" href="classtgui_1_1CheckBox.html">CheckBox</a> : <span class="keyword">public</span> <a class="code" href="classtgui_1_1RadioButton.html">RadioButton</a></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    {</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;      <span class="keyword">public</span>:</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="classtgui_1_1CheckBox.html#a27eceefb72290e57ce936c788b183814">   49</a></span>&#160;        <span class="keyword">typedef</span> std::shared_ptr&lt;CheckBox&gt; <a class="code" href="classtgui_1_1CheckBox.html#a27eceefb72290e57ce936c788b183814">Ptr</a>; </div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classtgui_1_1CheckBox.html#a3cb61b44e34cea051121fc9b2ea325b9">   50</a></span>&#160;        <span class="keyword">typedef</span> std::shared_ptr&lt;const CheckBox&gt; <a class="code" href="classtgui_1_1CheckBox.html#a3cb61b44e34cea051121fc9b2ea325b9">ConstPtr</a>; </div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        <span class="comment">// Default constructor</span></div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="comment"></span>        <a class="code" href="classtgui_1_1CheckBox.html">CheckBox</a>();</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        <span class="keyword">static</span> <a class="code" href="classtgui_1_1CheckBox.html#a27eceefb72290e57ce936c788b183814">CheckBox::Ptr</a> create(sf::String text = <span class="stringliteral">&quot;&quot;</span>);</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        <span class="keyword">static</span> <a class="code" href="classtgui_1_1CheckBox.html#a27eceefb72290e57ce936c788b183814">CheckBox::Ptr</a> copy(<a class="code" href="classtgui_1_1CheckBox.html#a3cb61b44e34cea051121fc9b2ea325b9">CheckBox::ConstPtr</a> checkbox);</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno"><a class="line" href="classtgui_1_1CheckBox.html#ac885d8be72cf69c9c3e5b0b921596ddd">   87</a></span>&#160;        std::shared_ptr&lt;CheckBoxRenderer&gt; <a class="code" href="classtgui_1_1CheckBox.html#ac885d8be72cf69c9c3e5b0b921596ddd">getRenderer</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;            <span class="keywordflow">return</span> std::static_pointer_cast&lt;<a class="code" href="classtgui_1_1CheckBoxRenderer.html">CheckBoxRenderer</a>&gt;(m_renderer);</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;        }</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        <span class="keywordtype">void</span> check() <span class="keyword">override</span>;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        <span class="keywordtype">void</span> uncheck() <span class="keyword">override</span>;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> leftMouseReleased(<span class="keywordtype">float</span> x, <span class="keywordtype">float</span> y) <span class="keyword">override</span>;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> keyPressed(<span class="keyword">const</span> sf::Event::KeyEvent&amp; event) <span class="keyword">override</span>;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;      <span class="keyword">protected</span>:</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;        <span class="comment">// Makes a copy of the widget</span></div><div class="line"><a name="l00124"></a><span class="lineno"><a class="line" href="classtgui_1_1CheckBox.html#a990b95f0174ab6972237b7dfbb1d82a9">  124</a></span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> <a class="code" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> <a class="code" href="classtgui_1_1CheckBox.html#a990b95f0174ab6972237b7dfbb1d82a9">clone</a>()<span class="keyword"> const override</span></div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;            <span class="keywordflow">return</span> std::make_shared&lt;CheckBox&gt;(*this);</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;        }</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;    };</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;</div><div class="line"><a name="l00136"></a><span class="lineno"><a class="line" href="classtgui_1_1CheckBoxRenderer.html">  136</a></span>&#160;    <span class="keyword">class </span>TGUI_API <a class="code" href="classtgui_1_1CheckBoxRenderer.html">CheckBoxRenderer</a> : <span class="keyword">public</span> <a class="code" href="classtgui_1_1RadioButtonRenderer.html">RadioButtonRenderer</a></div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;    {</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00146"></a><span class="lineno"><a class="line" href="classtgui_1_1CheckBoxRenderer.html#a1da8eb7502db973d56d9beef857c7e2e">  146</a></span>&#160;        <a class="code" href="classtgui_1_1CheckBoxRenderer.html#a1da8eb7502db973d56d9beef857c7e2e">CheckBoxRenderer</a>(<a class="code" href="classtgui_1_1CheckBox.html">CheckBox</a>* checkbox) : <a class="code" href="classtgui_1_1RadioButtonRenderer.html">RadioButtonRenderer</a>{checkbox} {}</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;        <span class="comment">// Draws the widget on the render target.</span></div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;<span class="comment"></span>        <span class="keywordtype">void</span> draw(sf::RenderTarget&amp; target, sf::RenderStates states) <span class="keyword">const override</span>;</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;        <span class="comment">// Makes a copy of the renderer</span></div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> std::shared_ptr&lt;WidgetRenderer&gt; clone(<a class="code" href="classtgui_1_1Widget.html">Widget</a>* widget) <span class="keyword">override</span>;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;        <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classtgui_1_1CheckBox.html">CheckBox</a>;</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;    };</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;}</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;<span class="preprocessor">#endif // TGUI_CHECKBOX_HPP</span></div><div class="ttc" id="namespacetgui_html"><div class="ttname"><a href="namespacetgui.html">tgui</a></div><div class="ttdoc">Namespace that contains all TGUI functions and classes. </div><div class="ttdef"><b>Definition:</b> Animation.hpp:33</div></div>
<div class="ttc" id="classtgui_1_1Widget_html"><div class="ttname"><a href="classtgui_1_1Widget.html">tgui::Widget</a></div><div class="ttdoc">The parent class for every widget. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:71</div></div>
<div class="ttc" id="classtgui_1_1RadioButton_html"><div class="ttname"><a href="classtgui_1_1RadioButton.html">tgui::RadioButton</a></div><div class="ttdoc">Radio button widget. </div><div class="ttdef"><b>Definition:</b> RadioButton.hpp:53</div></div>
<div class="ttc" id="classtgui_1_1CheckBox_html"><div class="ttname"><a href="classtgui_1_1CheckBox.html">tgui::CheckBox</a></div><div class="ttdoc">CheckBox widget. </div><div class="ttdef"><b>Definition:</b> CheckBox.hpp:45</div></div>
<div class="ttc" id="classtgui_1_1CheckBoxRenderer_html"><div class="ttname"><a href="classtgui_1_1CheckBoxRenderer.html">tgui::CheckBoxRenderer</a></div><div class="ttdef"><b>Definition:</b> CheckBox.hpp:136</div></div>
<div class="ttc" id="classtgui_1_1RadioButtonRenderer_html"><div class="ttname"><a href="classtgui_1_1RadioButtonRenderer.html">tgui::RadioButtonRenderer</a></div><div class="ttdef"><b>Definition:</b> RadioButton.hpp:326</div></div>
<div class="ttc" id="classtgui_1_1CheckBoxRenderer_html_a1da8eb7502db973d56d9beef857c7e2e"><div class="ttname"><a href="classtgui_1_1CheckBoxRenderer.html#a1da8eb7502db973d56d9beef857c7e2e">tgui::CheckBoxRenderer::CheckBoxRenderer</a></div><div class="ttdeci">CheckBoxRenderer(CheckBox *checkbox)</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> CheckBox.hpp:146</div></div>
<div class="ttc" id="classtgui_1_1Widget_html_a388912f13898735531886bc676b14f81"><div class="ttname"><a href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">tgui::Widget::Ptr</a></div><div class="ttdeci">std::shared_ptr&lt; Widget &gt; Ptr</div><div class="ttdoc">Shared widget pointer. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:75</div></div>
<div class="ttc" id="classtgui_1_1CheckBox_html_ac885d8be72cf69c9c3e5b0b921596ddd"><div class="ttname"><a href="classtgui_1_1CheckBox.html#ac885d8be72cf69c9c3e5b0b921596ddd">tgui::CheckBox::getRenderer</a></div><div class="ttdeci">std::shared_ptr&lt; CheckBoxRenderer &gt; getRenderer() const </div><div class="ttdoc">Returns the renderer, which gives access to functions that determine how the widget is displayed...</div><div class="ttdef"><b>Definition:</b> CheckBox.hpp:87</div></div>
<div class="ttc" id="classtgui_1_1CheckBox_html_a3cb61b44e34cea051121fc9b2ea325b9"><div class="ttname"><a href="classtgui_1_1CheckBox.html#a3cb61b44e34cea051121fc9b2ea325b9">tgui::CheckBox::ConstPtr</a></div><div class="ttdeci">std::shared_ptr&lt; const CheckBox &gt; ConstPtr</div><div class="ttdoc">Shared constant widget pointer. </div><div class="ttdef"><b>Definition:</b> CheckBox.hpp:50</div></div>
<div class="ttc" id="classtgui_1_1CheckBox_html_a990b95f0174ab6972237b7dfbb1d82a9"><div class="ttname"><a href="classtgui_1_1CheckBox.html#a990b95f0174ab6972237b7dfbb1d82a9">tgui::CheckBox::clone</a></div><div class="ttdeci">virtual Widget::Ptr clone() const  override</div><div class="ttdoc">Makes a copy of the widget if you don&amp;#39;t know its exact type. </div><div class="ttdef"><b>Definition:</b> CheckBox.hpp:124</div></div>
<div class="ttc" id="classtgui_1_1CheckBox_html_a27eceefb72290e57ce936c788b183814"><div class="ttname"><a href="classtgui_1_1CheckBox.html#a27eceefb72290e57ce936c788b183814">tgui::CheckBox::Ptr</a></div><div class="ttdeci">std::shared_ptr&lt; CheckBox &gt; Ptr</div><div class="ttdoc">Shared widget pointer. </div><div class="ttdef"><b>Definition:</b> CheckBox.hpp:49</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:41 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
